UpdateFile
InnerClasses
InvalidUpdateException
[B
I
ConstantValue
Ljava/lang/String;
Ljava/io/File;
<init>
(Ljava/io/File;)V
Code
LineNumberTable
LocalVariableTable
Exceptions
(Ljava/io/File;Z)V
e
Ljava/lang/Exception;
Z
(I[B)Z
Ljava/io/IOException;
getBytes
(I[B)I
Ljava/io/FileInputStream;
Ljava/io/DataInputStream;
(I)J
(I)I
()Ljava/lang/String;
()J
()I
()Z
Lcom/amazon/ebook/framework/impl/device/mario/VersionManagerImpl$UpdateFile$InvalidUpdateException;
J
Lcom/amazon/ebook/framework/device/comm/CommunicationException;
<clinit>
()V
SourceFile
.bin
com/amazon/ebook/framework/impl/device/mario/VersionManagerImpl$UpdateFile$InvalidUpdateException
File does not have the proper extension.
Bad magic number.
java/lang/Exception
java/lang/StringBuffer
Unable to determine file's device code(
).
Unable to determine device's device code(
Device codes do not match: 
 != 
Version numbers do not make sense.
java/io/IOException
getBytes IOexception
java/io/DataInputStream
UpdateFile::getFile skipped 
 bytes instead of the expected 
Error reading long.
Error reading short.
Unable to determine 'From Version'
Unable to determine 'To Version'
Update_
_
Update_PRL_
update-full.bin
hardware.wan
VersionManagerImpl.versionIsApplicable prl_file_version=
 module_version=
com/amazon/ebook/framework/device/comm/CommunicationException
FB02
FC02
FD03
java/lang/Object
java/io/File
getName
java/lang/String
toLowerCase
endsWith
(Ljava/lang/String;)Z
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
getMessage
toString
()S
valueOf
(I)Ljava/lang/String;
(I)Ljava/lang/StringBuffer;
java/util/Arrays
equals
([B[B)Z
(Ljava/io/File;)Ljava/io/FileInputStream;
(Ljava/io/InputStream;)V
skipBytes
(Ljava/lang/String;)V
read
([B)I
java/io/FileInputStream
close
getCanonicalPath
getParent
separator
(J)Ljava/lang/String;
getVersionInfo
(J)Ljava/lang/StringBuffer;
()[B
a
A
b
B
c
C
d
D
E
f
F
g
Lcom/amazon/ebook/framework/impl/device/mario/b;
com/amazon/ebook/framework/impl/device/mario/b
rac
()Lcom/amazon/ebook/framework/service/comm/wan/c;
()Lcom/amazon/ebook/framework/service/comm/a;
()Lcom/amazon/ebook/framework/service/c;
()Lcom/amazon/ebook/framework/service/b;
()Lcom/amazon/ebook/framework/b/a;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;)V
R
Lcom/amazon/ebook/util/b/i;
G
()Lcom/amazon/ebook/util/b/e;
m
(Lcom/amazon/ebook/framework/impl/device/mario/b;Ljava/lang/String;)V
com/amazon/ebook/framework/service/comm/wan/c
com/amazon/ebook/framework/service/comm/a
com/amazon/ebook/framework/service/c
com/amazon/ebook/framework/service/b
com/amazon/ebook/framework/b/a
com/amazon/ebook/util/c/m
com/amazon/ebook/util/b/e
com/amazon/ebook/framework/impl/device/mario/d
